Please whitelist cPanel in your adblocker so that you’re able to see our version release promotions, thanks!

The Community Forums

Interact with an entire community of cPanel & WHM users!

Perl Can't locate Encoding/FixLatin.pm

Discussion in 'General Discussion' started by Osama Tariq, Mar 26, 2016.

  1. Osama Tariq

    Osama Tariq Well-Known Member

    Joined:
    Nov 27, 2014
    Messages:
    206
    Likes Received:
    2
    Trophy Points:
    18
    Location:
    Lahore, Pakistan
    cPanel Access Level:
    Root Administrator
    Twitter:
    I have installed mailscanner and mailwatch along with cpanel/whm server. Can you please help me regarding this issue, why it can't fetch perl modules.

    Code:
    /etc/init.d/MailScanner restart
    Shutting down MailScanner daemons:
             MailScanner:
             Waiting for MailScanner to stop..
    Starting MailScanner daemons:
             MailScanner:       Can't locate Encoding/FixLatin.pm in @INC (@INC contains: /usr/mailscanner/lib /usr/mailscanner/lib /usr/local/cpanel /usr/local/cpanel/3rdparty/perl/514/lib64/perl5/cpanel_lib/x86_64-linux-64int /usr/local/cpanel/3rdparty/perl/514/lib64/perl5/cpanel_lib /usr/local/cpanel/3rdparty/perl/514/lib64/perl5/5.14.4/x86_64-linux-64int /usr/local/cpanel/3rdparty/perl/514/lib64/perl5/5.14.4 /opt/cpanel/perl5/514/site_lib/x86_64-linux-64int /opt/cpanel/perl5/514/site_lib) at /usr/mailscanner/lib/MailScanner/CustomFunctions/MailWatch.pm line 28.
    BEGIN failed--compilation aborted at /usr/mailscanner/lib/MailScanner/CustomFunctions/MailWatch.pm line 28.
    Compilation failed in require at /usr/mailscanner/lib/MailScanner/CustomConfig.pm line 41.
    Compilation failed in require at /usr/mailscanner/bin/MailScanner line 97.
    BEGIN failed--compilation aborted at /usr/mailscanner/bin/MailScanner line 97.
    
     
  2. Osama Tariq

    Osama Tariq Well-Known Member

    Joined:
    Nov 27, 2014
    Messages:
    206
    Likes Received:
    2
    Trophy Points:
    18
    Location:
    Lahore, Pakistan
    cPanel Access Level:
    Root Administrator
    Twitter:
    I have run below script on cpanel vps but it gives error.

    Code:
    root@vps [~]# /scripts/checkperlmodules
    scripts/checkperlmodules is deprecated. cPanel no longer uses /usr/bin/perl and provides its perl modules as a set of RPMs. For more information, see http://go.cpanel.net/1136checkperlmodules exit 1
    
     
  3. cPanelMichael

    cPanelMichael Technical Support Community Manager
    Staff Member

    Joined:
    Apr 11, 2011
    Messages:
    45,384
    Likes Received:
    1,951
    Trophy Points:
    363
    cPanel Access Level:
    Root Administrator
    Twitter:
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  4. Osama Tariq

    Osama Tariq Well-Known Member

    Joined:
    Nov 27, 2014
    Messages:
    206
    Likes Received:
    2
    Trophy Points:
    18
    Location:
    Lahore, Pakistan
    cPanel Access Level:
    Root Administrator
    Twitter:
    I have fixed it by installing perl modules manually.
     
  5. cPanelMichael

    cPanelMichael Technical Support Community Manager
    Staff Member

    Joined:
    Apr 11, 2011
    Messages:
    45,384
    Likes Received:
    1,951
    Trophy Points:
    363
    cPanel Access Level:
    Root Administrator
    Twitter:
    I am happy to see you were able to address the issue. Thank you for updating us with the outcome.
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
Loading...

Share This Page

  1. This site uses cookies to help personalise content, tailor your experience and to keep you logged in if you register.
    By continuing to use this site, you are consenting to our use of cookies.
    Dismiss Notice